[
{
    blockid=admin;
    help=store_admin_admin;
    localvar={
	/* translate this block */
	.header.text="Administradores de almac\u00e9n de mensajes";
	.admins.text="Los administradores de almac\u00e9n de mensajes pueden ver todas las carpetas de correo y especificar control de acceso directamente con el protocolo IMAP.";
	.admins.header="UID de administrador";
	.admins.error="Ya existe el Id de administrador. Especifique un Id de administrador diferente.";
	.admin.title="Entrada de administrador de almac\u00e9n";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    wrap=$g.label.size5;
	    font=["","",16];
	    constraint={
	        gridx=0;
	        gridy=0;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	        gridx=0;
	        gridy=1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=adminlabel;
	    text=$.admins.text;
	    wrap=$g.label.size4;
	    target=adminctrl;
	    key=$.admins.key;
	    constraint={
	        gridx=0;
	        gridy=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=table;
	    stdtable=true;
	    addui=adminid;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    addtitle=$.admin.title;
	    editui=adminid;
	    edittitle=$.admin.title;
	    val=$admins.value;
	    label=adminlabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    constraint={
	        gridx=0;
	        gridy=3;
	        weightx=1;
	        weighty=1;
	        fill=both;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	    columns=[
		{
		    header=$.admins.header;
		    varname=adminname;
		    unique=$.admins.error;
		}
	    ]
	}
    ]
},
{
    blockid=adminid;
    help=store_admin_adminid;
    localvar={
	.name.text="UID de administrador:";
    };
    content=[
	{
	    ctrl=label;
	    id=namelabel;
	    text=$.name.text;
	    wrap=$g.label.size2;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=text;
	    label=namelabel;
	    val=$adminname;
	    focus=true;
	}
    ]
}
]
